<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module models</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong>models</strong></big></big></font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:c%3A%5Cusers%5Chdoss%5Cgitlab%5Cidb%5Cidb%5Cbackend%5Cmodels.py">c:\users\hdoss\gitlab\idb\idb\backend\models.py</a></font></td></tr></table>
    <p></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="os.html">os</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial">sqlalchemy.ext.declarative.api.Model(<a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="models.html#Bird">Bird</a>
</font></dt><dt><font face="helvetica, arial"><a href="models.html#Cat">Cat</a>
</font></dt><dt><font face="helvetica, arial"><a href="models.html#Dog">Dog</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Bird">class <strong>Bird</strong></a>(sqlalchemy.ext.declarative.api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#Bird">Bird</a>(**kwargs)<br>
&nbsp;<br>
<a href="#Bird">Bird</a>&nbsp;class&nbsp;has&nbsp;seven&nbsp;attrbiutes:<br>
&nbsp;<br>
breed<br>
id<br>
name<br>
gender<br>
color<br>
img_url<br>
age<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Bird">Bird</a></dd>
<dd>sqlalchemy.ext.declarative.api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Bird-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Bird-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>returns&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>age</strong></dt>
</dl>
<dl><dt><strong>breed</strong></dt>
</dl>
<dl><dt><strong>color</strong></dt>
</dl>
<dl><dt><strong>gender</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>img_url</strong></dt>
</dl>
<dl><dt><strong>name</strong></dt>
</dl>
<dl><dt><strong>url</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x4cc2fa0; Bird&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('bird', MetaData(bind=None), Column('breed...=80), table=&lt;bird&gt;, nullable=False), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'bird'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.ext.declarative.api.Model:<br>
<dl><dt><strong>metadata</strong> = MetaData(bind=None)</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Bird-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Cat">class <strong>Cat</strong></a>(sqlalchemy.ext.declarative.api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#Cat">Cat</a>(**kwargs)<br>
&nbsp;<br>
<a href="#Cat">Cat</a>&nbsp;class&nbsp;has&nbsp;seven&nbsp;attrbiutes:<br>
&nbsp;<br>
breed<br>
id<br>
name<br>
gender<br>
color<br>
img_url<br>
age<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Cat">Cat</a></dd>
<dd>sqlalchemy.ext.declarative.api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Cat-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Cat-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>returns&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>age</strong></dt>
</dl>
<dl><dt><strong>breed</strong></dt>
</dl>
<dl><dt><strong>color</strong></dt>
</dl>
<dl><dt><strong>gender</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>img_url</strong></dt>
</dl>
<dl><dt><strong>name</strong></dt>
</dl>
<dl><dt><strong>url</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x4cef310; Cat&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('cat', MetaData(bind=None), Column('breed'...h=80), table=&lt;cat&gt;, nullable=False), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'cat'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.ext.declarative.api.Model:<br>
<dl><dt><strong>metadata</strong> = MetaData(bind=None)</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Cat-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="Dog">class <strong>Dog</strong></a>(sqlalchemy.ext.declarative.api.Model)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#Dog">Dog</a>(**kwargs)<br>
&nbsp;<br>
<a href="#Dog">Dog</a>&nbsp;class&nbsp;has&nbsp;seven&nbsp;attrbiutes:<br>
&nbsp;<br>
breed<br>
id<br>
name<br>
gender<br>
color<br>
img_url<br>
age<br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="models.html#Dog">Dog</a></dd>
<dd>sqlalchemy.ext.declarative.api.Model</dd>
<dd><a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a></dd>
<dd><a href="builtins.html#object">builtins.object</a></dd>
</dl>
<hr>
Methods defined here:<br>
<dl><dt><a name="Dog-__init__"><strong>__init__</strong></a>(self, **kwargs)</dt><dd><tt>A&nbsp;simple&nbsp;constructor&nbsp;that&nbsp;allows&nbsp;initialization&nbsp;from&nbsp;kwargs.<br>
&nbsp;<br>
Sets&nbsp;attributes&nbsp;on&nbsp;the&nbsp;constructed&nbsp;instance&nbsp;using&nbsp;the&nbsp;names&nbsp;and<br>
values&nbsp;in&nbsp;``kwargs``.<br>
&nbsp;<br>
Only&nbsp;keys&nbsp;that&nbsp;are&nbsp;present&nbsp;as<br>
attributes&nbsp;of&nbsp;the&nbsp;instance's&nbsp;class&nbsp;are&nbsp;allowed.&nbsp;These&nbsp;could&nbsp;be,<br>
for&nbsp;example,&nbsp;any&nbsp;mapped&nbsp;columns&nbsp;or&nbsp;relationships.</tt></dd></dl>

<dl><dt><a name="Dog-serialize"><strong>serialize</strong></a>(self)</dt><dd><tt>returns&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Data descriptors defined here:<br>
<dl><dt><strong>age</strong></dt>
</dl>
<dl><dt><strong>breed</strong></dt>
</dl>
<dl><dt><strong>color</strong></dt>
</dl>
<dl><dt><strong>gender</strong></dt>
</dl>
<dl><dt><strong>id</strong></dt>
</dl>
<dl><dt><strong>img_url</strong></dt>
</dl>
<dl><dt><strong>name</strong></dt>
</dl>
<dl><dt><strong>url</strong></dt>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>__mapper__</strong> = &lt;Mapper at 0x4cc2c40; Dog&gt;</dl>

<dl><dt><strong>__table__</strong> = Table('dog', MetaData(bind=None), Column('breed'...h=80), table=&lt;dog&gt;, nullable=False), schema=None)</dl>

<dl><dt><strong>__tablename__</strong> = 'dog'</dl>

<hr>
Data and other attributes inherited from sqlalchemy.ext.declarative.api.Model:<br>
<dl><dt><strong>metadata</strong> = MetaData(bind=None)</dl>

<dl><dt><strong>query</strong> = &lt;flask_sqlalchemy.BaseQuery object&gt;</dl>

<dl><dt><strong>query_class</strong> = &lt;class 'flask_sqlalchemy.BaseQuery'&gt;<dd><tt>SQLAlchemy&nbsp;:class:`~sqlalchemy.orm.query.Query`&nbsp;subclass&nbsp;with&nbsp;convenience&nbsp;methods&nbsp;for&nbsp;querying&nbsp;in&nbsp;a&nbsp;web&nbsp;application.<br>
&nbsp;<br>
This&nbsp;is&nbsp;the&nbsp;default&nbsp;:attr:`~Model.query`&nbsp;object&nbsp;used&nbsp;for&nbsp;models,&nbsp;and&nbsp;exposed&nbsp;as&nbsp;:attr:`~SQLAlchemy.Query`.<br>
Override&nbsp;the&nbsp;query&nbsp;class&nbsp;for&nbsp;an&nbsp;individual&nbsp;model&nbsp;by&nbsp;subclassing&nbsp;this&nbsp;and&nbsp;setting&nbsp;:attr:`~Model.query_class`.</tt></dl>

<hr>
Methods inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><a name="Dog-__repr__"><strong>__repr__</strong></a>(self)</dt><dd><tt>Return&nbsp;repr(self).</tt></dd></dl>

<hr>
Data descriptors inherited from <a href="flask_sqlalchemy.model.html#Model">flask_sqlalchemy.model.Model</a>:<br>
<dl><dt><strong>__dict__</strong></dt>
<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
<dl><dt><strong>__weakref__</strong></dt>
<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dd>
</dl>
</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>app</strong> = &lt;Flask 'models'&gt;<br>
<strong>db</strong> = &lt;SQLAlchemy engine=postgresql://postgres:***@34.67.71.158:5432/postgres&gt;</td></tr></table>
</body></html>